Skip to main content
POST
/
intents
/
{id}
/
submit
Submit a signed transaction
curl --request POST \
  --url https://api.cherp.dev/v1/intents/{id}/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signedTransaction": "<string>",
  "fulfiller": "<string>"
}
'
{
  "intent": {
    "id": "pi_abc123def456ghij",
    "chain": "solana:5eykt4UsFv8P8NJdTREpY1vzqKq2Kvdp",
    "token": "USDC",
    "amount": "10.50",
    "requestor": "<string>",
    "direction": "request",
    "state": "created",
    "reference": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "livemode": true,
    "idempotencyKey": "<string>",
    "tokenAddress": "<string>",
    "amountBaseUnits": "<string>",
    "fulfiller": "<string>",
    "retryRequired": true,
    "pendingAtExpiry": true,
    "txSignature": "<string>",
    "detectedAt": "2023-11-07T05:31:56Z",
    "ataRentLamports": 123,
    "ttlSeconds": 86400,
    "confirmedAt": "2023-11-07T05:31:56Z",
    "finalizedAt": "2023-11-07T05:31:56Z",
    "metadata": {},
    "refundedBy": "<string>",
    "refundOf": "<string>"
  },
  "txSignature": "<string>"
}

Authorizations

Authorization
string
header
required

API key. Use pk_live_* for production or pk_test_* for test mode.

Path Parameters

id
string
required

The Payment Intent ID

Body

application/json
signedTransaction
string
required

Base64-encoded signed transaction blob

fulfiller
string

Attach fulfiller if not already on the Intent

Response

Transaction submitted

intent
object
txSignature
string

Solana signature or EVM tx hash